# Blocks that are water or should have foam like water
block.10002=minecraft:water minecraft:flowing_water

#if MC_VERSION >= 11300
# Blocks with no directional lighting
block.10001= minecraft:tall_seagrass minecraft:seagrass minecraft:kelp minecraft:tall_seagrass minecraft:kelp_plant minecraft:attached_melon_stem minecraft:attached_pumpkin_stem  minecraft:lily_pad \
minecraft:nether_wart  minecraft:crimson_roots  minecraft:nether_sprouts minecraft:warped_roots minecraft:sugar_cane minecraft:brown_mushroom minecraft:red_mushroom minecraft:cobweb minecraft:dead_bush \
minecraft:weeping_vines minecraft:weeping_vines_plant minecraft:twisting_vines minecraft:twisting_vines_plant

# Full-blocks that should wave (leaves)
block.10003=minecraft:oak_leaves minecraft:spruce_leaves minecraft:birch_leaves minecraft:dark_oak_leaves minecraft:jungle_leaves minecraft:acacia_leaves minecraft:mangrove_leaves minecraft:cherry_leaves minecraft:pale_oak_leaves minecraft:azalea_leaves minecraft:flowering_azalea_leaves minecraft:vine minecraft:pale_hanging_moss  alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves

# One block tall plants (or less) that should wave
block.10004=minecraft:wither_rose minecraft:lily_of_the_valley  minecraft:cornflower minecraft:sweet_berry_bush minecraft:oxeye_daisy minecraft:pink_tulip minecraft:white_tulip minecraft:orange_tulip minecraft:red_tulip minecraft:azure_bluet minecraft:allium minecraft:blue_orchid minecraft:poppy minecraft:dandelion minecraft:oak_sapling minecraft:spruce_sapling minecraft:birch_sapling minecraft:jungle_sapling minecraft:acacia_sapling minecraft:dark_oak_sapling minecraft:cherry_sapling minecraft:short_grass minecraft:grass minecraft:fern minecraft:closed_eyeblossom minecraft:open_eyeblossom minecraft:pale_oak_sapling minecraft:bush minecraft:firefly_bush minecraft:beetroots minecraft:potatoes minecraft:carrots minecraft:wheat minecraft:melon_stem minecraft:pumpkin_stem minecraft:cactus_flower minecraft:short_dry_grass minecraft:tall_dry_grass

# Two block tall plants that should wave (lower half)
block.10005=minecraft:large_fern:half=lower minecraft:tall_grass:half=lower minecraft:peony:half=lower minecraft:rose_bush:half=lower minecraft:lilac:half=lower minecraft:sunflower:half=lower minecraft:pitcher_plant:half=lower

# Two block tall plants that should wave (upper half)
block.10006=minecraft:large_fern:half=upper minecraft:tall_grass:half=upper minecraft:peony:half=upper minecraft:rose_bush:half=upper minecraft:lilac:half=upper minecraft:sunflower:half=upper minecraft:pitcher_plant:half=upper



#else
block.10001=minecraft:melon_stem minecraft:pumpkin_stem minecraft:waterlily minecraft:nether_wart minecraft:reeds minecraft:brown_mushroom minecraft:red_mushroom minecraft:web minecraft:deadbush

# Full-blocks that should wave (leaves)
block.10003=minecraft:leaves minecraft:leaves2 alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves

# One block tall plants (or less) that should wave
block.10004=minecraft:red_flower minecraft:yellow_flower minecraft:sapling minecraft:tallgrass minecraft:potatoes minecraft:carrots minecraft:wheat

# Two block tall plants that should wave (lower half)
block.10005=minecraft:double_plant:half=lower

# Two block tall plants that should wave (upper half)
block.10006=minecraft:double_plant:half=upper
#endif
